.ada-button {
  @apply py-2 px-4;
  @apply bg-purple-400;
  @apply text-white;
  @apply font-bold;
  @apply rounded;
  @apply shadow;
  @apply dark:border dark:border-purple-900;
  @apply dark:shadow-gray-900;
}

.ada-button:hover {
  @apply bg-purple-500;
}

.ada-button:focus {
  @apply ring outline-none;
}

.ada-button-off {
  @apply py-2 px-4;
  @apply bg-gray-300;
  @apply text-white;
  @apply font-bold;
  @apply rounded;
  @apply shadow;
  @apply dark:border dark:border-purple-900;
  @apply dark:shadow-gray-900;
  @apply pointer-events-none;
}

.ada-button-tiny {
  @apply px-2;
  @apply bg-purple-400;
  @apply text-white text-xs;
  @apply rounded;
  @apply shadow;
  @apply dark:border dark:border-purple-900;
  @apply dark:shadow-gray-900;
}

.ada-button-tiny:hover {
  @apply bg-purple-500;
}

.ada-button-tiny:focus {
  @apply ring outline-none;
}

.ada-button-minor {
  @apply py-1 px-4;
  @apply bg-white;
  @apply dark:bg-gray-800;
  @apply text-purple-400;
  @apply font-bold;
  @apply border border-purple-100 rounded;
  @apply dark:border-gray-700;
  @apply shadow;
  @apply dark:shadow-gray-700;
}

.ada-button-minor:hover {
  @apply bg-purple-100;
  @apply dark:bg-gray-700;
}

.ada-button-minor:focus {
  @apply ring outline-none;
}

.ada-button-overlay {
  @apply py-1 px-2;
  @apply bg-gray-600 bg-opacity-75;
  @apply text-xs text-white;
  @apply font-bold;
  @apply border border-gray-500 rounded;
}

.ada-button-overlay:hover {
  @apply bg-opacity-100;
  @apply border border-gray-400;
}

.ada-button-overlay:focus {
  @apply outline-none;
}

.ada-form-label {
  @apply mb-1 pr-4;
  @apply block;
  @apply text-gray-500;
  @apply dark:text-gray-300;
  @apply font-bold;
}

@screen md {
  .ada-form-label {
    @apply mb-0;
    @apply text-right;
  }
}

.ada-text-input {
  @apply py-2 px-4;
  @apply appearance-none;
  @apply bg-gray-200;
  @apply dark:bg-gray-700;
  @apply text-gray-700 leading-tight;
  @apply dark:text-gray-300;
  @apply border-2 border-gray-200 rounded;
  @apply dark:border-gray-700;
}

.ada-text-input:focus {
  @apply outline-none;
  @apply bg-white;
  @apply dark:bg-gray-900;
  @apply border-purple-500;
}

.ada-link {
  @apply font-semibold;
  @apply text-purple-400;
}

.ada-link:hover {
  @apply text-purple-500;
}

.ada-project-no-name {
  @apply text-gray-400 text-xl;
}

.ada-close-search-button {
  @apply w-5 h-5 mx-2 p-3;
  @apply flex items-center justify-center;
  @apply bg-purple-400;
  @apply text-white;
  @apply rounded-full;
  @apply shadow;
  @apply dark:border dark:border-purple-900;
  @apply dark:shadow-gray-900;
}

.ada-close-search-button:hover {
  @apply bg-purple-500;
}

.ada-close-search-button:focus {
  @apply ring outline-none;
}

.ada-projects-found {
  @apply tracking-wider;
  @apply text-center text-lg text-gray-800;
  @apply dark:text-gray-300;
}